$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("blur change", ".vouchdt", getvoucher);
    $("body").on("keyup", ".qty", calqty);
    $(".tbody").on("focus", ".qty", autoadd);
     $("body").on("click", "#submit ,#cancel", hide_but);


    function hide_but() {
        $("#ssubmit").hide();
        $("#scancel").hide();
    }

    function getvoucher() {
        var date = new Date($(".vouchdt").val()),
                month = (date.getMonth() + 1).toString(),
                vouchno = $('.vouchno').val(),
                voucher = '0' + month + vouchno;

        $('.monno').val(month);
        $('.voucher').val(voucher);

    }

    function calqty() {
        var totqty = 0;
        $(".qty").each(function () {
            if (!isNaN(this.value) && this.value != 0) {
                totqty += parseFloat(this.value);
            }
            $(".totqty").val(totqty);
        })
    }

    function autoadd() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    function remove() {
        $(this).closest("tr").remove();
    }



    $('#addnew').click(function () {
        AddRows();
    });

    $('#addnew3').click(function () {
        AddRows2();
    });

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }

        $.post('midelv_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
        });
    }

    function AddRows2() {
        var ctr = $('#items3').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        $.post('midelv_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody3');
            ctr++;
            $('#items3').val(ctr);
        });
    }

    //////////////////////////////////////////////Search Part - Start//////////////////////////////////////////////
//    $(".snoRecord").hide();
//
//    $(".searchModal").on('shown.bs.modal', function () {
//        $(".ssearch").focus();
//        $(".ssearch").val("");
//        $(".sfield").val("1");
//        getSearchData();
//    });
//
//    var smrangeFrom = 0,
//            smrangeTo = 40;
//
//    function getSearchData(pagination) {
//
//        $(".sloader").show();
//
//        if (pagination == 'prev') {
//            if (smrangeFrom > 0) {
//                smrangeFrom = (smrangeFrom - 40);
//                smrangeTo = (smrangeTo - 40);
//            }
//        }
//        if (pagination == 'next') {
//            smrangeFrom = (smrangeFrom + 40);
//            smrangeTo = (smrangeTo + 40);
//        }
//
//        var ssearch = $(".ssearch").val(),
//                sfield = $(".sfield").val(),
//                sortBy = $(".sortBy").val(),
//                orderAs = $(".orderAs").val(),
//                soperator = $(".soperator").val(),
//                data = {ssearch: ssearch, sfield: sfield, sortBy: sortBy, orderAs: orderAs, soperator: soperator,
//                    rangeFrom: smrangeFrom, rangeTo: smrangeTo},
//        values = "";
//        $.ajax({
//            type: 'GET',
//            dataType: 'json',
//            url: "purchasegst_search.php",
//            data: data,
//            success: function (response) {
//                $.each(response, function () {
//                    values += "<tr class='clickable-row' data-href='" + this.action + "'>" +
//                            "<td align='left'>" + this.vouchno + "</td>" +
//                            "<td align='left'>" + this.name + "</td>" +
//                            "<td align='left'>" + this.mobile + "</td>" +
//                            "<td align='left'>" + this.billno + "</td>" +
//                            "<td align='left'>" + this.vouchdt + "</td>" +
//                            "<td align='left'>" + this.nettotal + "</td>" +
//                            "<td align='left'>" + this.rem1 + "</td>" +
//                            "<td align='left'><a href='" + this.action + "'><i class='fa fa-pencil' style='font-size:1.3em;cursor:pointer;'></i></a></td>" +
//                            "</tr>";
//                });
//                $(".sloader").hide();
//                $(".sTbody").empty();
//                $(".sTbody").html(values);
//                if (response) {
//                    $(".search-action-bar").show();
//                }
//            },
//            error: function (request, textStatus, errorThrown) {
//
//            }
//        });
//    }
//    $("#search").click(function () {
//        getSearchData();
//    });
////    $(".ssearch").change(function () {
////        getSearchData();
////    });
//    $(".sprevious").click(function () {
//        getSearchData('prev');
//    });
//    $(".snext").click(function () {
//        getSearchData('next');
//    });


    //////////////////////////////////////////////Search Part - End  //////////////////////////////////////////////



});